load('C:\Users\joohwan\Desktop\ECN7_data_release\ic8\G1\3D_CT_data\centerline.mat');
figure(1)
if dz==0.1908
    last=256;
elseif dz==0.3816
    last=128;
end
r=0:dz:(last-1)*dz;
last_index=size(centerline);

for i=50%1:1:last_index(1,2)
   time=time_vec(1,i);
   time=['aSOI:' num2str(time) 'ms'];
   plot(r,centerline{1,i}(8,:),'linewidth',3); %% change number '8' to see different plane 8 means 30mm as shown in z_plane
   title(time);
   xlabel('Radial distance through plume center [mm]')
   ylabel('Liquid volume fraction');
   set(gcf,'color','w');
   set(gca,'FontSize',18)
   set(gca,'linewidth',1.5)
   grid on
   pause(0.1)
end